Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.doc.internal
[Groovy] Class FileResourceChecker

    java.lang.Object
      grails.doc.internal.FileResourceChecker

    class FileResourceChecker

Simple class that checks whether a path relative to a base directory exists or not. Each instance of the class can have its own base directory.

Constructor Summary
`FileResourceChecker(java.io.File baseDir)`

Method Summary
`boolean` | `exists(java.lang.Object path)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### FileResourceChecker

    FileResourceChecker(java.io.File baseDir)

Method Detail

### exists

    boolean exists(java.lang.Object path)

Groovy Documentation